Index: ChangeLog
===================================================================
RCS file: /surf1/CVS/squid/ChangeLog,v
retrieving revision 1.194.2.10
diff -w -u -r1.194.2.10 ChangeLog
--- ChangeLog	1997/04/16 15:34:22	1.194.2.10
+++ ChangeLog	1997/04/16 17:49:23
@@ -13,7 +13,7 @@
 	  cases better.
 	- Fixed handling of freeing data structures which are
 	  IP cache lookup callback data pointers.
-	- Fixed icpState->swapin_fd leak in icpProxessMISS().
+	- Fixed icpState->swapin_fd leak in icpProcessMISS().
 	- Disabled memory pools by default for NOVM version.
 
 Changes to squid-1.1.9 (March 30, 1997):
Index: src/client_side.c
===================================================================
RCS file: /surf1/CVS/squid/src/client_side.c,v
retrieving revision 1.81.2.7
diff -w -u -r1.81.2.7 client_side.c
--- client_side.c	1997/04/09 05:21:46	1.81.2.7
+++ client_side.c	1997/04/17 15:22:14
@@ -545,7 +545,12 @@
 	    fatal_dump("icpHandleIMSReply: storeOpenSwapFileRead() failed\n");
     }
     icpState->old_entry = NULL;	/* done with old_entry */
-    icpSendMoreData(fd, icpState);	/* give data to the client */
+    storeRegister(icpState->entry,
+	fd,
+	icpSendMoreData,
+	icpState,
+	icpState->out.offset);
+
 }
 
 int
Index: src/disk.c
===================================================================
RCS file: /surf1/CVS/squid/src/disk.c,v
retrieving revision 1.49.2.7
diff -w -u -r1.49.2.7 disk.c
--- disk.c	1997/04/02 02:10:44	1.49.2.7
+++ disk.c	1997/04/18 16:03:32
@@ -319,8 +319,11 @@
 {
     dwrite_q *wq = NULL;
 
+    if (fd < 0)
+	fatal_dump("file_write: bad FD");
     if (file_table[fd].open_stat == FILE_NOT_OPEN) {
-	debug_trap("file_write: FILE_NOT_OPEN");
+	debug(6, 0, "WARNING: file_write: FD %d: FILE_NOT_OPEN\n", fd);
+	debug_trap("");
 	return DISK_ERROR;
     }
     /* if we got here. Caller is eligible to write. */
